Subject: bug#17969: closed (Re: bug#17969: 24.3.92; C-p does not move the cursor for some scale text)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Jul 2014 15:16:02 +0000

Your bug report

#17969: 24.3.92; C-p does not move the cursor for some scale text

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17969: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17969
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17969: 24.3.92; C-p does not move the cursor for some scale text
From: Eli Zaretskii <[email-masked]>
To: YAMAMOTO Mitsuharu <[email-masked]>
Cc: [email-masked]
Date: Tue, 08 Jul 2014 18:14:57 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 08 Jul 2014 11:17:25 +0900
> From: YAMAMOTO Mitsuharu <[email-masked]>
> 
> 1. $ emacs -Q -D &
> 2. Type the following expression and hit C-j in the *scrath* buffer.
> 
>   (progn
>     (text-scale-set 6)
>     (insert (make-string 9 ?\t) "aaaa\n"))
> 
>    In my environment, the screen looks like the attached screenshot.
> 
> 3. Hit C-p twice.
> 
> Result:
> 
> The first C-p moves the cursor upward, but for the second one (the
> cursor stays at the same position).

I eventually succeeded in reproducing this, and fixed the bug in
revision 117363 on the emacs-24 branch.

Thanks.

Subject: 24.3.92; C-p does not move the cursor for some scale text
From: YAMAMOTO Mitsuharu <[email-masked]>
To: [email-masked]
Date: Tue, 08 Jul 2014 11:17:25 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Steps to reproduce:

1. $ emacs -Q -D &
2. Type the following expression and hit C-j in the *scrath* buffer.

  (progn
    (text-scale-set 6)
    (insert (make-string 9 ?\t) "aaaa\n"))

   In my environment, the screen looks like the attached screenshot.

3. Hit C-p twice.

Result:

The first C-p moves the cursor upward, but for the second one (the
cursor stays at the same position).

Unfortunately, some adjustment seems to be necessary for the
reproducing recipe depending on the environment.  The above one is for
the GTK+ build with the xft font backend on OS X 10.9.  For the Mac
port, I had to use the following one, for example:

  (progn
    (text-scale-set 5)
    (insert (make-string 10 ?\t) "aaaaaa\n"))

				     YAMAMOTO Mitsuharu
				[email-masked]

In GNU Emacs 24.3.92.1 (x86_64-apple-darwin13.2.0, GTK+ Version 3.12.2)
 of 2014-07-07 on YAMAMOTO-no-iMac.local
Repository revision: 117359 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11406000
Configured using:
 `configure --without-imagemagick LDFLAGS=-L/opt/local/lib
 CPPFLAGS=-I/opt/local/include'